%global _description %{expand:
This project provides a way for JupyterLab and other frontends
to switch to Jupyter Server for their Python Web application backend.}

Summary:        A shim layer for notebook traits and config
Name:           python-notebook-shim
Version:        0.2.4
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://pypi.org/project/notebook-shim/
Source0:        %{pypi_source notebook_shim}

BuildRequires:  python3-devel python3-pytest-jupyter
BuildArch:      noarch


%description %_description

%package -n     python3-notebook-shim
Summary:        A shim layer for notebook traits and config

Requires:  python-jupyter-filesystem

%description -n python3-notebook-shim %_description

%prep
%autosetup -p1 -n notebook_shim-%{version}

sed -i "/pytest-tornasync/d" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files notebook_shim

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/notebook_shim.json

%check
%pytest

%files -n python3-notebook-shim -f %{pyproject_files}
%doc README.md
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_server_config.d/notebook_shim.json

%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 0.2.4-1
- initial build
